Skip to content

/api/v1/facilities/{facilityId}/inbound/putaway-tasks (POST)

POST
/api/v1/facilities/{facilityId}/inbound/putaway-tasks
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inbound/putaway-tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "lpnCode": "example" }'
facilityId
required
string format: uuid
object
lpnCode
string
nullable

Example generated

{
"lpnCode": "example"
}

OK

object
id
required
string format: uuid
facilityId
required
string format: uuid
lpnId
required
string format: uuid
lpnCode
required
string
receiptId
required
string format: uuid
fromLocationId
required
string format: uuid
fromLocationCode
required
string
suggestedLocationId
required
string format: uuid
suggestedLocationCode
required
string
locationId
required
string format: uuid
nullable
locationCode
required
string
nullable
overrideReason
required
One of:
string
Allowed values: LocationFull LocationDamaged Other
status
required
string
Allowed values: Open Confirming Completed Cancelled
inventoryTransactionId
required
string format: uuid
nullable
rejection
required
object
errorCode
required
string
detail
required
string
nullable
createdAt
required
string format: date-time
completedAt
required
string format: date-time
nullable
updatedAt
required
string format: date-time

Created

object
id
required
string format: uuid
facilityId
required
string format: uuid
lpnId
required
string format: uuid
lpnCode
required
string
receiptId
required
string format: uuid
fromLocationId
required
string format: uuid
fromLocationCode
required
string
suggestedLocationId
required
string format: uuid
suggestedLocationCode
required
string
locationId
required
string format: uuid
nullable
locationCode
required
string
nullable
overrideReason
required
One of:
string
Allowed values: LocationFull LocationDamaged Other
status
required
string
Allowed values: Open Confirming Completed Cancelled
inventoryTransactionId
required
string format: uuid
nullable
rejection
required
object
errorCode
required
string
detail
required
string
nullable
createdAt
required
string format: date-time
completedAt
required
string format: date-time
nullable
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Service Unavailable

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable